import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

// Set width of the svg
const svg = select('svg');

// Make a Fruit
const makeFruit = type => ({ 
  type,
  id: Math.random()
});

// Fill a 'bowl' with 5 apples (using D3 range function)
let fruits = range(5)
	.map(() => makeFruit('apple'));

let selectedFruit = null;
let hoverFruit = null;

const onClick = id => {
  selectedFruit = id;
  render();
};
const onHover = id => {
  hoverFruit = id;
  render();
};

// Define the Render Function
const render = () => {
	fruitBowl( svg, {
    fruits,
    height: +svg.attr('height'),
    onClick,
    selectedFruit,
    onHover,
    hoverFruit
  });
};

// Render the bowl of fruit
render();

// Eat an apple
setTimeout(() => {
	fruits.pop();
  render();
},1000);

// Replace Apple with a Lemon
setTimeout(() => {
	fruits[2].type = 'lemon';
  render();
},2000);

// Eat an apple
setTimeout(() => {
	fruits = fruits.filter((d,i) => i != 1)
  render();
},3000);
